(function($) {
  myglobal = {};
  $.fn.lightBox = function(settings) {
    // Settings to configure the jQuery lightBox plugin how you like
    settings = jQuery.extend({
      // Configuration related to overlay
      overlayBgColor: 		'#000',		// (string) Background color to overlay; inform a hexadecimal value like: #RRGGBB. Where RR, GG, and BB are the hexadecimal values for the red, green, and blue values of the color.
      overlayOpacity:			0.5,		// (integer) Opacity value to overlay; inform: 0.X. Where X are number from 0 to 9
      // Configuration related to navigation
      fixedNavigation:		false,		// (boolean) Boolean that informs if the navigation (next and prev button) will be fixed or not in the interface.
      // Configuration related to images
      imageLoading:			myglobal.path+'lightbox-ico-loading.gif',		// (string) Path and the name of the loading icon
      imageBtnPrev:			myglobal.path+'lightbox-btn-prev.gif',			// (string) Path and the name of the prev button image
      imageBtnNext:			myglobal.path+'lightbox-btn-next.gif',			// (string) Path and the name of the next button image
      imageBtnClose:		myglobal.path+'lightbox-btn-close.gif',		// (string) Path and the name of the close btn
      imageBlank:				myglobal.path+'lightbox-blank.gif',			// (string) Path and the name of a blank image (one pixel)
      // Configuration related to container image box
      containerBorderSize:	10,			// (integer) If you adjust the padding in the CSS for the container, #lightbox-container-image-box, you will need to update this value
      containerResizeSpeed:	400,		// (integer) Specify the resize duration of container image. These number are miliseconds. 400 is default.
      // Configuration related to texts in caption. For example: Image 2 of 8. You can alter either "Image" and "of" texts.
      txtImage:				'Image',	// (string) Specify text "Image"
      txtOf:					'of',		// (string) Specify text "of"
      // Configuration related to keyboard navigation
      keyToClose:				'c',		// (string) (c = close) Letter to close the jQuery lightBox interface. Beyond this letter, the letter X and the SCAPE key is used to.
      keyToPrev:				'p',		// (string) (p = previous) Letter to show the previous image
      keyToNext:				'n',		// (string) (n = next) Letter to show the next image.
      // Don´t alter these variables in any way
      imageArray:				[],
      coverflowReflect: false,
      hoverClass:				false,
      activeImage:			0
    },settings);

    if (settings.coverflowReflect) {
      $('.reflect').mouseover(function() {
        settings.hoverClass = $(this).parent().parent().parent().parent().hasClass("flip-current");
      });
    }else{
      settings.hoverClass = true;
    }
    var jQueryMatchedObj = this; // This, in this context, refer to jQuery object
    /**
     * Initializing the plugin calling the start function
     *
     * @return boolean false
     */
    function _initialize() {
      myglobal.enableKey = false;
      $("body").css({overflow:'hidden'});
      if (settings.hoverClass) {
				//txt.innerHTML = $(this).parent().parent().hasClass("flip-current")+' - '+$(this).parent().parent().attr('class')+' - '+this.id+' - '+settings.hoverClass+' - '+this.title;
				_start(this,jQueryMatchedObj);// This, in this context, refer to object (link) which the user have clicked
			}
      return false; // Avoid the browser following the link
    }
    /**
     * Start the jQuery lightBox plugin
     *
     * @param object objClicked The object (link) whick the user have clicked
     * @param object jQueryMatchedObj The jQuery object with all elements matched
     */
    function _start(objClicked,jQueryMatchedObj) {
      // Hime some elements to avoid conflict with overlay in IE. These elements appear above the overlay.
      $('embed, object, select').css({ 'visibility' : 'hidden' });
      // Call the function to create the markup structure; style some elements; assign events in some elements.
      
      // Unset total images in imageArray
      settings.imageArray.length = 0;
      // Unset image active information
      settings.activeImage = 0;

      if ( jQueryMatchedObj.length == 1 ) {
        settings.imageArray.push(new Array(objClicked.getAttribute('href'),objClicked.getAttribute('title'),objClicked.getAttribute('alt')));
      } else {
        var clickID = objClicked.getAttribute('data');
        for ( var i = 0; i < jQueryMatchedObj.length; i++ ) {
          var objID = jQueryMatchedObj[i].getAttribute('data');
          //txt.innerHTML += clickID+' - '+objID+' | ';
          if (clickID == objID) settings.imageArray.push(new Array(jQueryMatchedObj[i].getAttribute('href'),jQueryMatchedObj[i].getAttribute('title'),jQueryMatchedObj[i].getAttribute('alt')));
        }
      }
      while (settings.imageArray[settings.activeImage][0] != objClicked.getAttribute('href')) {
        settings.activeImage++;
      }
      var erw = settings.imageArray[settings.activeImage][0].substr(settings.imageArray[settings.activeImage][0].lastIndexOf('.')+1).toLowerCase();
      _set_interface(settings.imageArray[settings.activeImage][0],erw);
      // Call the function that prepares image exibition
      _set_image_to_view(settings.activeImage,true);
    }

    function _set_interface(pic,erw) {
      //var erw = pic.substr(pic.lastIndexOf('.')+1).toLowerCase();
      // Apply the HTML markup into body tag
      $('body').append('<div id="jquery-overlay"></div><div id="jquery-lightbox"><div id="lightbox-container-image-box"><div id="lightbox-container-image">'+_createEmbedObject(pic,erw)+'<div id="lightbox-container-image-data-box"><div id="lightbox-container-image-data"><div id="lightbox-image-details"><span id="lightbox-image-details-caption"></span><span id="lightbox-image-details-currentNumber"></span></div><div id="lightbox-secNav"><a href="#" id="lightbox-secNav-btnClose"><img src="' + settings.imageBtnClose + '"></a></div></div></div></div>');
      // Get page sizes
      var arrPageSizes = ___getPageSize();
      // Style overlay and show it
      $('#jquery-overlay').css({
        backgroundColor:	settings.overlayBgColor,
        opacity:			settings.overlayOpacity,
        width:				arrPageSizes[2],
        height:				arrPageSizes[3]
      }).fadeIn();
      // Get page scroll
      var arrPageScroll = ___getPageScroll();
      // Calculate top and left offset for the jquery-lightbox div object and show it
      $('#jquery-lightbox').css({
        top: (arrPageSizes[3] / 15),
        left:	arrPageScroll[0]
      }).show();

      var fixFlash = false;
      $('#lightbox-container-image-box').mouseenter(function() {
        fixFlash = true;
      }).mouseleave(function() {
        fixFlash = false;
      });
      // Assigning click events in elements to close overlay
      $('#jquery-overlay,#jquery-lightbox').click(function() {
        if (!fixFlash) _finish();
      });
      // Assign the _finish function to lightbox-loading-link and lightbox-secNav-btnClose objects
      $('#lightbox-loading-link,#lightbox-secNav-btnClose').click(function() {
        _finish();
        return false;
      });
      // If window was resized, calculate the new overlay dimensions
      $(window).resize(function() {
        // Get page sizes
        var arrPageSizes = ___getPageSize();
        // Style overlay and show it
        $('#jquery-overlay').css({
          width:		arrPageSizes[2],
          height:		arrPageSizes[3]
        });
        // Get page scroll
        var arrPageScroll = ___getPageScroll();
        // Calculate top and left offset for the jquery-lightbox div object and show it
        $('#jquery-lightbox').css({
          top: (arrPageSizes[3] / 10),
          left:	arrPageScroll[0]
        });
      });
    }

    // Prepares image exibition; doing a image´s preloader to calculate it´s size
    // show the loading
    function _set_image_to_view(actID,ft) {
      var erw = settings.imageArray[actID][0].substr(settings.imageArray[actID][0].lastIndexOf('.')+1).toLowerCase();
      //_set_interface(settings.imageArray[actID][0],erw);
      settings.activeImage = actID;
      if (!ft) $('#lightbox-container-image').html(_createEmbedObject(settings.imageArray[actID][0],erw));
  //txt.innerHTML = actID+' - '+ft+' - '+settings.imageArray[settings.activeImage][0]+' - '+erw;
      $('#lightbox-loading').show(); // Show the loading
      if ( settings.fixedNavigation ) {
        $('#lightbox-image,#lightbox-container-image-data-box,#lightbox-image-details-currentNumber').hide();
      } else {
        // Hide some elements
        $('#lightbox-image,#lightbox-nav,#lightbox-nav-btnPrev,#lightbox-nav-btnNext,#lightbox-container-image-data-box,#lightbox-image-details-currentNumber').hide();
      }

      // Image preload process
      var pageSizes = ___getPageSize();
      if (erw == 'jpg' || erw == 'jpeg' || erw == 'png' || erw == 'gif') {
        var objImagePreloader = new Image();
        objImagePreloader.onload = function() {
          $('#lightbox-image').attr('src',settings.imageArray[actID][0]);
          // Perfomance an effect in the image container resizing it
//txt.innerHTML += ' - '+pageSizes;
          var scal = (objImagePreloader.width/objImagePreloader.height > pageSizes[2]/pageSizes[3]) ? pageSizes[2]*100/objImagePreloader.width/1.3 : scal = pageSizes[3]*100/objImagePreloader.height/1.3;
          var imgW = Math.round(objImagePreloader.width*scal/100);
          var imgH = Math.round(objImagePreloader.height*scal/100);
          $('#lightbox-image').css({width: imgW, height: imgH});
          _resize_container_image_box(imgW,imgH);
          //	clear onLoad, IE behaves irratically with animated gifs otherwise
          objImagePreloader.onload=function(){};
        };
        objImagePreloader.src = settings.imageArray[actID][0];
      }else if (erw == 'mp3') {
        _resize_container_image_box(560,70);
        $('#lightbox-nav-btnPrev,#lightbox-nav-btnNext').css({position: 'absolute'});
        $('#lightbox-nav-btnPrev').css({left: -60});
        $('#lightbox-nav-btnNext').css({right: -60});
      }else if (erw == 'flv' || erw == 'f4v' || erw == 'mp4') {
        _resize_container_image_box(pageSizes[2]/1.3,pageSizes[2]/1.3/1.7);
        $('#lightbox-nav-btnPrev,#lightbox-nav-btnNext').css({position: 'absolute'});
        $('#lightbox-nav-btnPrev').css({left: -60});
        $('#lightbox-nav-btnNext').css({right: -60});
      }else if (erw == 'htm' || erw == 'html' || erw == 'wmv') {
        _resize_container_image_box(pageSizes[2]/1.3,pageSizes[3]/1.3+20);
        $('#lightbox-nav-btnPrev,#lightbox-nav-btnNext').css({position: 'absolute', width: '70px'});
        $('#lightbox-nav-btnPrev').css({left: -60});
        $('#lightbox-nav-btnNext').css({right: -60});
      }else{
        _resize_container_image_box(pageSizes[2]/1.3,pageSizes[3]/1.3+20);
        $('#lightbox-nav-btnPrev,#lightbox-nav-btnNext').css({position: 'absolute'});
        $('#lightbox-nav-btnPrev').css({left: -60});
        $('#lightbox-nav-btnNext').css({right: -60});
      }
    };

    // Perfomance an effect in the image container resizing it
    // @param integer intImageWidth The image´s width that will be showed
    // @param integer intImageHeight The image´s height that will be showed

    function _resize_container_image_box(intImageWidth,intImageHeight) {
      // Get current width and height
      var intCurrentWidth = $('#lightbox-container-image-box').width();
      var intCurrentHeight = $('#lightbox-container-image-box').height();
      // Get the width and height of the selected image plus the padding
      var intWidth = (intImageWidth + (settings.containerBorderSize * 2)); // Plus the image´s width and the left and right padding value
      var intHeight = (intImageHeight + (settings.containerBorderSize * 2)); // Plus the image´s height and the left and right padding value
      // Diferences
      var intDiffW = intCurrentWidth - intWidth;
      var intDiffH = intCurrentHeight - intHeight;
      // Perfomance the effect
      $('#lightbox-container-image-box').animate({ width: intWidth, height: intHeight },settings.containerResizeSpeed,function() { _show_image(); });
      if ( ( intDiffW == 0 ) && ( intDiffH == 0 ) ) {
        //if ( $.browser.msie ) {
          ___pause(250);
        //} else {
        //	___pause(100);
        //}
      }
      $('#lightbox-container-image-data-box').css({ width: intWidth });
      $('#lightbox-nav-btnPrev,#lightbox-nav-btnNext').css({ height: intImageHeight + (settings.containerBorderSize * 2) });
    };
    /**
     * Show the prepared image
     *
     */
    function _show_image() {
      $('#lightbox-loading').hide();
      $('#lightbox-image').fadeIn(function() {
        _show_image_data();
        _set_navigation();
      });
      _preload_neighbor_images();
    };
    /**
     * Show the image information
     *
     */
    function _show_image_data() {
      var info = "";
      $('#lightbox-container-image-data-box').slideDown('fast');
      $('#lightbox-image-details-caption').hide();
      if (settings.imageArray[settings.activeImage][1]) {
        if (settings.imageArray[settings.activeImage][2]) info = settings.imageArray[settings.activeImage][2];
        $('#lightbox-image-details-caption').html(settings.imageArray[settings.activeImage][1]+info).show();
      }
      // If we have a image set, display 'Image X of X'
      if ( settings.imageArray.length > 1 ) {
        $('#lightbox-image-details-currentNumber').html(settings.txtImage + ' ' + ( settings.activeImage + 1 ) + ' ' + settings.txtOf + ' ' + settings.imageArray.length).show();
      }		
    }
    /**
     * Display the button navigations
     *
     */
    function _set_navigation() {
      $('#lightbox-nav').show();

      // Instead to define this configuration in CSS file, we define here. And it´s need to IE. Just.
      $('#lightbox-nav-btnPrev,#lightbox-nav-btnNext').css({ 'background' : 'transparent url(' + settings.imageBlank + ') no-repeat' });
      
      // Show the prev button, if not the first image in set
      if ( settings.activeImage != 0 ) {
        if ( settings.fixedNavigation ) {
          $('#lightbox-nav-btnPrev').css({ 'background' : 'url(' + settings.imageBtnPrev + ') left 15% no-repeat' })
            .unbind()
            .bind('click',function() {
              //settings.activeImage = settings.activeImage - 1;
              _set_image_to_view(settings.activeImage - 1);
              return false;
            });
        } else {
          // Show the images button for Next buttons
          $('#lightbox-nav-btnPrev').unbind().hover(function() {
            $(this).css({ 'background' : 'url(' + settings.imageBtnPrev + ') left 15% no-repeat' });
          },function() {
            $(this).css({ 'background' : 'transparent url(' + settings.imageBlank + ') no-repeat' });
          }).show().bind('click',function() {
            //settings.activeImage = settings.activeImage - 1;
            _set_image_to_view(settings.activeImage - 1);
            return false;
          });
        }
      }
      
      // Show the next button, if not the last image in set
      if ( settings.activeImage != ( settings.imageArray.length -1 ) ) {
        if ( settings.fixedNavigation ) {
          $('#lightbox-nav-btnNext').css({ 'background' : 'url(' + settings.imageBtnNext + ') right 15% no-repeat' })
            .unbind()
            .bind('click',function() {
              //settings.activeImage = settings.activeImage + 1;
              _set_image_to_view(settings.activeImage + 1);
              return false;
            });
        } else {
          // Show the images button for Next buttons
          $('#lightbox-nav-btnNext').unbind().hover(function() {
            $(this).css({ 'background' : 'url(' + settings.imageBtnNext + ') right 15% no-repeat' });
          },function() {
            $(this).css({ 'background' : 'transparent url(' + settings.imageBlank + ') no-repeat' });
          }).show().bind('click',function() {
            //settings.activeImage = settings.activeImage + 1;
            _set_image_to_view(settings.activeImage + 1);
            return false;
          });
        }
      }
      // Enable keyboard navigation
      if (!myglobal.enableKey) _enable_keyboard_navigation();
    }

    //Enable a support to keyboard navigation
    function _enable_keyboard_navigation() {
      myglobal.enableKey = true;
      $(document).keydown(function(objEvent) {
        _keyboard_action(objEvent);
      });
    }

    //Disable the support to keyboard navigation
    function _disable_keyboard_navigation() {
      myglobal.enableKey = false;
      //$(document).unbind();
    }

    //Perform the keyboard actions
    function _keyboard_action(objEvent) {
      // To ie
      if ( objEvent == null ) {
        keycode = event.keyCode;
        escapeKey = 27;
      // To Mozilla
      } else {
        keycode = objEvent.keyCode;
        escapeKey = objEvent.DOM_VK_ESCAPE;
      }
      // Get the key in lower case form
      key = String.fromCharCode(keycode).toLowerCase();
      // Verify the keys to close the ligthBox
      if ( ( key == settings.keyToClose ) || ( key == 'x' ) || ( keycode == escapeKey ) ) {
        _finish();
      }
      // Verify the key to show the previous image
      if ( ( key == settings.keyToPrev ) || ( keycode == 37 ) ) {
        if ( settings.activeImage != 0 ) {
          _set_image_to_view(settings.activeImage - 1);
        }
      }
      // Verify the key to show the next image
      if ( ( key == settings.keyToNext ) || ( keycode == 39 ) ) {
        if ( settings.activeImage != ( settings.imageArray.length - 1 ) ) {
          _set_image_to_view(settings.activeImage + 1);
        }
      }
    }

    //Preload prev and next images being showed
    function _preload_neighbor_images() {
      if ( (settings.imageArray.length -1) > settings.activeImage ) {
        objNext = new Image();
        objNext.src = settings.imageArray[settings.activeImage + 1][0];
      }
      if ( settings.activeImage > 0 ) {
        objPrev = new Image();
        objPrev.src = settings.imageArray[settings.activeImage -1][0];
      }
    }

    //Remove jQuery lightBox plugin HTML markup
    function _finish() {
      $('body').removeAttr('style');
      if (settings.coverflowReflect) {
        $(document).ready(function(){
          $.whatever(settings.activeImage);
        });
      }
      _disable_keyboard_navigation();
      //txt.innerHTML += $('#wmvPlayer').length+' - '+$('#lightbox-image object').length;
      if ($('#wmvPlayer').length) $('#wmvPlayer').hide();
      $('#lightbox-image').remove();
      $('#jquery-lightbox').remove();
      $('#jquery-overlay').fadeOut(function() { $('#jquery-overlay').remove(); });
      // Show some elements to avoid conflict with overlay in IE. These elements appear above the overlay.
      $('embed, object, select').css({ 'visibility' : 'visible' });
    }
    /**
     / THIRD FUNCTION
     * getPageSize() by quirksmode.com
     *
     * @return Array Return an array with page width, height and window width, height
     */
    function ___getPageSize() {
      var xScroll, yScroll;
      if (window.innerHeight && window.scrollMaxY) {
        xScroll = window.innerWidth + window.scrollMaxX;
        yScroll = window.innerHeight + window.scrollMaxY;
      } else if (document.body.scrollHeight > document.body.offsetHeight){ // all but Explorer Mac
        xScroll = document.body.scrollWidth;
        yScroll = document.body.scrollHeight;
      } else { // Explorer Mac...would also work in Explorer 6 Strict, Mozilla and Safari
        xScroll = document.body.offsetWidth;
        yScroll = document.body.offsetHeight;
      }
      var windowWidth, windowHeight;
      if (self.innerHeight) {// all except Explorer
        if(document.documentElement.clientWidth){
          windowWidth = document.documentElement.clientWidth; 
        } else {
          windowWidth = self.innerWidth;
        }
        windowHeight = self.innerHeight;
      } else if (document.documentElement && document.documentElement.clientHeight) { // Explorer 6 Strict Mode
        windowWidth = document.documentElement.clientWidth;
        windowHeight = document.documentElement.clientHeight;
      } else if (document.body) { // other Explorers
        windowWidth = document.body.clientWidth;
        windowHeight = document.body.clientHeight;
      }	
      // for small pages with total height less then height of the viewport
      if(yScroll < windowHeight){
        pageHeight = windowHeight;
      } else { 
        pageHeight = yScroll;
      }
      // for small pages with total width less then width of the viewport
      if(xScroll < windowWidth){	
        pageWidth = xScroll;		
      } else {
        pageWidth = windowWidth;
      }
      arrayPageSize = new Array(pageWidth,pageHeight,windowWidth,windowHeight);
      return arrayPageSize;
    };
    /**
     / THIRD FUNCTION
     * getPageScroll() by quirksmode.com
     *
     * @return Array Return an array with x,y page scroll values.
     */
    function ___getPageScroll() {
      var xScroll, yScroll;
      if (self.pageYOffset) {
        yScroll = self.pageYOffset;
        xScroll = self.pageXOffset;
      } else if (document.documentElement && document.documentElement.scrollTop) {	 // Explorer 6 Strict
        yScroll = document.documentElement.scrollTop;
        xScroll = document.documentElement.scrollLeft;
      } else if (document.body) {// all other Explorers
        yScroll = document.body.scrollTop;
        xScroll = document.body.scrollLeft;	
      }
      arrayPageScroll = new Array(xScroll,yScroll);
      return arrayPageScroll;
    };
     /**
      * Stop the code execution from a escified time in milisecond
      *
      */
     function ___pause(ms) {
      var date = new Date(); 
      curDate = null;
      do { var curDate = new Date(); }
      while ( curDate - date < ms);
     };

  //createEmbedObject: function(){
  function _createEmbedObject(url,type) {//txt.innerHTML += myglobal.path+' - ';
    if ($('#wmvPlayer').length) $('#wmvPlayer').hide();
    $('#lightbox-image').empty();
    $('#lightbox-image').remove();
    var pageSizes = ___getPageSize();
    var wobj = pageSizes[2]/1.3;
    var hobj = pageSizes[3]/1.3;
    if(type == 'jpg' || type == 'jpeg' || type == 'png' || type == 'gif'){
      this.str = '<img id="lightbox-image"><div style="" id="lightbox-nav"><a href="#" id="lightbox-nav-btnPrev"></a><a href="#" id="lightbox-nav-btnNext"></a></div><div id="lightbox-loading"><a href="#" id="lightbox-loading-link"><img src="' + settings.imageLoading + '"></a></div></div></div>';
    }

    if(type == 'swf'){
      var fixurl;
      if (url.indexOf('./') == -1) fixurl = window.location.href.match(/^.*\//)+url;
      else fixurl = window.location.href.match(/^.*\//)+url.substring(url.indexOf('./')+2);
      this.str = '<div id="lightbox-image">';
      this.str += '<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,28,0"'
      this.str += ' style="position: relative;z-index: 1;"';
      this.str += ' width="'+wobj+'"';
      this.str += ' height="'+hobj+'"';
      this.str += ' title="FlashBox">';
      this.str += '<param name="movie" value="'+fixurl+'" />'
      this.str += '<param name="quality" value="high" />';
      this.str += '<param name="menu" value="false" />';
      this.str += '<embed src="'+fixurl+'" ';
      this.str += 'quality="high" pluginspage="http://www.adobe.com/shockwave/download/download.cgi?P1_Prod_Version=ShockwaveFlash" type="application/x-shockwave-flash" ';
      this.str += 'width="'+wobj+'" ';
      this.str += 'height="'+hobj+'"';
      this.str += 'menu="false"';
      this.str += 'wmode="opaque"';
      this.str += '></embed>';
      this.str += '</object>';
      this.str += '</div><div style="" id="lightbox-nav"><a href="#" id="lightbox-nav-btnPrev"></a><a href="#" id="lightbox-nav-btnNext"></a></div><div id="lightbox-loading"><a href="#" id="lightbox-loading-link"><img src="' + settings.imageLoading + '"></a></div></div></div>';
    }

    if(type == 'flv' || type == 'f4v'){
      var fixurl;
      if (url.indexOf('./') == -1) fixurl = window.location.href.match(/^.*\//)+url;
      else fixurl = window.location.href.match(/^.*\//)+url.substring(url.indexOf('./')+2);
//txt.innerHTML += url+" - "+fixurl+" - "+url.indexOf('./')+" | ";
      var wflv = pageSizes[2]/1.3;
      this.str = '<div id="lightbox-image">';
      this.str += '<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,28,0"';
      this.str += ' style="position: relative;z-index: 1;"';
      this.str += ' width="'+wflv+'"';
      this.str += ' height="'+wflv/1.72+'"';
      this.str += ' title="FlashBox">';
      this.str += '<param name="movie" value="'+myglobal.path+'movieplayer.swf" />';
      this.str += '<param name="quality" value="high" />';
      this.str += '<param name="allowFullScreen" value="true" />';
      //this.str += '<param name="salign" value="TL" />';
      //this.str += '<param name="scale" value="noScale" />';
      //this.str += '<param name="wmode" value="opaque" />';
      this.str += '<param name="FlashVars" value="path='+fixurl+'" />';
      this.str += '<embed src="'+myglobal.path+'movieplayer.swf" ';
      this.str += 'quality="high" pluginspage="http://www.adobe.com/shockwave/download/download.cgi?P1_Prod_Version=ShockwaveFlash" type="application/x-shockwave-flash" ';
      this.str += 'width="'+wflv+'" ';
      this.str += 'height="'+wflv/1.72+'"';
      this.str += 'allowFullScreen="true"';
      //this.str += 'salign="TL" ';
      //this.str += 'scale="noScale" ';
      //this.str += 'wmode="opaque" ';
      this.str += 'FlashVars="path='+fixurl+'"';
      this.str += '></embed>';
      this.str += '</object>';
      this.str += '</div><div style="" id="lightbox-nav"><a href="#" id="lightbox-nav-btnPrev"></a><a href="#" id="lightbox-nav-btnNext"></a></div><div id="lightbox-loading"><a href="#" id="lightbox-loading-link"><img src="' + settings.imageLoading + '"></a></div></div></div>';
    }

    if(type == 'mp4'){
      var wmp4 = pageSizes[2]/1.3;
      this.str = '<div id="lightbox-image">';
      //this.str += '<video style="width:100%; height:auto" poster="'+myglobal.path+'movie.jpg" controls preload="metadata">';
      this.str += '<video style="position: relative;z-index: 1;" width='+wmp4+' height='+wmp4/1.72+' poster="'+myglobal.path+'movie.jpg" controls preload="metadata">';
      this.str += '<source src="'+url+'" type="video/mp4" />';
      this.str += 'Ihr Browser unterstützt das Objekt nicht!';
      this.str += '</video>';
      this.str += '</div><div style="" id="lightbox-nav"><a href="#" id="lightbox-nav-btnPrev"></a><a href="#" id="lightbox-nav-btnNext"></a></div><div id="lightbox-loading"><a href="#" id="lightbox-loading-link"><img src="' + settings.imageLoading + '"></a></div></div></div>';
    }

    if(type == 'mp3'){
      this.str = '<div id="lightbox-image">';
      //this.str += '<video style="width:100%; height:auto" poster="'+myglobal.path+'movie.jpg" controls preload="metadata">';
      this.str += '<audio controls style="position: relative;z-index: 1;">';
      this.str += '<source src="'+url+'" type="audio/ogg">';
      this.str += '<source src="'+url+'" type="audio/mpeg">';
      this.str += 'Ihr Browser unterstützt das Objekt nicht!';
      this.str += '</audio>';
      this.str += '</div><div style="" id="lightbox-nav"><a href="#" id="lightbox-nav-btnPrev"></a><a href="#" id="lightbox-nav-btnNext"></a></div><div id="lightbox-loading"><a href="#" id="lightbox-loading-link"><img src="' + settings.imageLoading + '"></a></div></div></div>';
    }

    if(type == 'mov'){
      this.str = '<div id="lightbox-image">';
      this.str += '<object type="video/quicktime" classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B" codebase="http://www.apple.com/qtactivex/qtplugin.cab"';
      this.str += ' style="position: relative;z-index: 1;"';
      this.str += ' width="'+wobj+'" height="'+hobj+'">';
      this.str += '<param name="src" value="'+url+'" />';
      this.str += '<param name="autoplay" value="true" />';
      this.str += '<param name="controller" value="true" />';
      this.str += '<param name="scale" value="ASPECT" />';
      this.str += '<param name="enablejavascript" value="true" />';
      this.str += '<embed src="'+url+'" autoplay="true" pluginspage="http://www.apple.com/quicktime/download/" width="'+wobj+'" height="'+hobj+'" scale="ASPECT"></embed>';
      this.str += '</object>';
      this.str += '</div><div style="" id="lightbox-nav"><a href="#" id="lightbox-nav-btnPrev"></a><a href="#" id="lightbox-nav-btnNext"></a></div><div id="lightbox-loading"><a href="#" id="lightbox-loading-link"><img src="' + settings.imageLoading + '"></a></div></div></div>';
    }

    if(type == 'wmv'){
      this.str = '<div id="lightbox-image">';
      //this.str += '<object id="wmvPlayer" type="application/x-oleobject" classid="CLSID:22D6f312-B0F6-11D0-94AB-0080C74C7E95"';
      this.str += '<object id="wmvPlayer" type="application/x-oleobject" classid="CLSID:6BF52A52-394A-11d3-B153-00C04F79FAA6"';
      this.str += ' style="position: relative;z-index: 1;"';
      this.str += ' width="'+wobj+'" height="'+hobj+'">';
      //this.str += '<param name="filename" value="'+url+'" />';
      this.str += '<param name="URL" value="'+url+'"/>';
      this.str += '<param name="wmode" value="opaque">';
      this.str += '<param name="Showcontrols" value="true" />';
      this.str += '<param name="autoStart" value="true" />';
      this.str += '<embed type="application/x-mplayer2" src="'+url+'" Showcontrols="true" autoStart="true" NAME="MediaPlayer" width="'+wobj+'" height="'+hobj+'"></embed>';
      this.str += '</object>';
      this.str += '</div><div style="" id="lightbox-nav"><a href="#" id="lightbox-nav-btnPrev"></a><a href="#" id="lightbox-nav-btnNext"></a></div><div id="lightbox-loading"><a href="#" id="lightbox-loading-link"><img src="' + settings.imageLoading + '"></a></div></div></div>';
    }

    if(type == 'htm' || type == 'html' || (type.indexOf('?') != -1)) {
      this.str = '<div id="lightbox-image">';
      this.str += '<iframe id="lightbox-iframe" frameborder=0 scrolling="auto" src="'+url+'" width= "'+wobj+'" height= "'+hobj+'">';
      this.str += '</iframe>';
      this.str += '</div><div style="" id="lightbox-nav"><a href="#" id="lightbox-nav-btnPrev"></a><a href="#" id="lightbox-nav-btnNext"></a></div><div id="lightbox-loading"><a href="#" id="lightbox-loading-link"><img src="' + settings.imageLoading + '"></a></div></div></div>';
    }

    if(type == 'real'){
      this.str = '<div id="lightbox-image">';
      this.str += '<object style="position: relative;z-index: 1;" classid="clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA"';
      this.str += ' width="'+wobj+'" height="'+hobj+'">';
      this.str += '<param name="src" value="'+url+'" />';
      this.str += '<param name="controls" value="ImageWindow" />';
      this.str += '<param name="autostart" value="true" />';
      this.str += '<embed src="'+url+'" controls="ImageWindow" autostart="true" width="'+wobj+'" height="'+hobj+'"></embed>';
      this.str += '</object>';
      this.str += '</div><div style="" id="lightbox-nav"><a href="#" id="lightbox-nav-btnPrev"></a><a href="#" id="lightbox-nav-btnNext"></a></div><div id="lightbox-loading"><a href="#" id="lightbox-loading-link"><img src="' + settings.imageLoading + '"></a></div></div></div>';
    }
    return this.str;
  };
// Return the jQuery object for chaining. The unbind method is used to avoid click conflict when the plugin is called more than once
		return this.unbind('click').click(_initialize);
	};
})(jQuery);